<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>public-apis</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h2 id="index">Index</h2>
    <ul>
      <li><a href="#animals">Animals</a></li>
      <li><a href="#anime">Anime</a></li>
      <li><a href="#anti-malware">Anti-Malware</a></li>
      <li><a href="#art--design">Art &amp; Design</a></li>
      <li><a href="#books">Books</a></li>
      <li><a href="#business">Business</a></li>
      <li><a href="#calendar">Calendar</a></li>
      <li>
        <a href="#cloud-storage--file-sharing"
          >Cloud Storage &amp; File Sharing</a
        >
      </li>
      <li><a href="#continuous-integration">Continuous Integration</a></li>
      <li><a href="#cryptocurrency">Cryptocurrency</a></li>
      <li><a href="#currency-exchange">Currency Exchange</a></li>
      <li><a href="#data-validation">Data Validation</a></li>
      <li><a href="#development">Development</a></li>
      <li><a href="#dictionaries">Dictionaries</a></li>
      <li>
        <a href="#documents--productivity">Documents &amp; Productivity</a>
      </li>
      <li><a href="#environment">Environment</a></li>
      <li><a href="#events">Events</a></li>
      <li><a href="#finance">Finance</a></li>
      <li><a href="#food--drink">Food &amp; Drink</a></li>
      <li><a href="#games--comics">Games &amp; Comics</a></li>
      <li><a href="#geocoding">Geocoding</a></li>
      <li><a href="#government">Government</a></li>
      <li><a href="#health">Health</a></li>
      <li><a href="#jobs">Jobs</a></li>
      <li><a href="#machine-learning">Machine Learning</a></li>
      <li><a href="#music">Music</a></li>
      <li><a href="#news">News</a></li>
      <li><a href="#open-data">Open Data</a></li>
      <li><a href="#open-source-projects">Open Source Projects</a></li>
      <li><a href="#patent">Patent</a></li>
      <li><a href="#personality">Personality</a></li>
      <li><a href="#photography">Photography</a></li>
      <li><a href="#science--math">Science &amp; Math</a></li>
      <li><a href="#security">Security</a></li>
      <li><a href="#shopping">Shopping</a></li>
      <li><a href="#social">Social</a></li>
      <li><a href="#sports--fitness">Sports &amp; Fitness</a></li>
      <li><a href="#test-data">Test Data</a></li>
      <li><a href="#text-analysis">Text Analysis</a></li>
      <li><a href="#tracking">Tracking</a></li>
      <li><a href="#transportation">Transportation</a></li>
      <li><a href="#url-shorteners">URL Shorteners</a></li>
      <li><a href="#vehicle">Vehicle</a></li>
      <li><a href="#video">Video</a></li>
      <li><a href="#weather">Weather</a></li>
    </ul>
    <h3 id="animals">Animals</h3>
    <table>
      <thead>
        <tr class="header">
          <th>API</th>
          <th>Description</th>
          <th>Auth</th>
          <th>HTTPS</th>
          <th>CORS</th>
        </tr>
      </thead>
      <tbody>
        <tr class="odd">
          <td>
            <a href="https://alexwohlbruck.github.io/cat-facts/">Cat Facts</a>
          </td>
          <td>Daily cat facts</td>
          <td>No</td>
          <td>Yes</td>
          <td>No</td>
        </tr>
        <tr class="even">
          <td><a href="https://docs.thecatapi.com/">Cats</a></td>
          <td>Pictures of cats from Tumblr</td>
          <td><code>apiKey</code></td>
          <td>Yes</td>
          <td>Unknown</td>
        </tr>
        <tr class="odd">
          <td><a href="https://dog.ceo/dog-api/">Dogs</a></td>
          <td>Based on the Stanford Dogs Dataset</td>
          <td>No</td>
          <td>Yes</td>
          <td>Yes</td>
        </tr>
        <tr class="even">
          <td><a href="https://http.cat/">HTTPCat</a></td>
          <td>Cat for every HTTP Status</td>
          <td>No</td>
          <td>Yes</td>
          <td>Unknown</td>
        </tr>
        <tr class="odd">
          <td><a href="http://apiv3.iucnredlist.org/api/v3/docs">IUCN</a></td>
          <td>IUCN Red List of Threatened Species</td>
          <td><code>apiKey</code></td>
          <td>No</td>
          <td>Unknown</td>
        </tr>
        <tr class="even">
          <td>
            <a href="https://github.com/movebank/movebank-api-doc">Movebank</a>
          </td>
          <td>Movement and Migration data of animals</td>
          <td>No</td>
          <td>Yes</td>
          <td>Unknown</td>
        </tr>
        <tr class="odd">
          <td><a href="https://placegoat.com/">PlaceGOAT</a></td>
          <td>Placeholder goat images</td>
          <td>No</td>
          <td>Yes</td>
          <td>Unknown</td>
        </tr>
        <tr class="even">
          <td><a href="https://aws.random.cat/meow">RandomCat</a></td>
          <td>Random pictures of cats</td>
          <td>No</td>
          <td>Yes</td>
          <td>Yes</td>
        </tr>
        <tr class="odd">
          <td><a href="https://random.dog/woof.json">RandomDog</a></td>
          <td>Random pictures of dogs</td>
          <td>No</td>
          <td>Yes</td>
          <td>Yes</td>
        </tr>
        <tr class="even">
          <td><a href="https://randomfox.ca/floof/">RandomFox</a></td>
          <td>Random pictures of foxes</td>
          <td>No</td>
          <td>Yes</td>
          <td>No</td>
        </tr>
        <tr class="odd">
          <td>
            <a
              href="https://userguide.rescuegroups.org/display/APIDG/API+Developers+Guide+Home"
              >RescueGroups</a
            >
          </td>
          <td>Adoption</td>
          <td>No</td>
          <td>Yes</td>
          <td>Unknown</td>
        </tr>
        <tr class="even">
          <td><a href="http://shibe.online/">Shibe.Online</a></td>
          <td>Random pictures of Shibu Inu, cats or birds</td>
          <td>No</td>
          <td>Yes</td>
          <td>Yes</td>
        </tr>
      </tbody>
    </table>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Anime API |
      Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://github.com/AniList/ApiV2-GraphQL-Docs">AniList</a> |
      Anime discovery &amp; tracking | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://www.animenewsnetwork.com/encyclopedia/api.php"
        >AnimeNewsNetwork</a
      >
      | Anime industry news | No | Yes | Yes | |
      <a href="https://jikan.moe">Jikan</a> | Unofficial MyAnimeList API | No |
      Yes | Yes | | <a href="https://kitsu.docs.apiary.io/">Kitsu</a> | Anime
      discovery platform | <code>OAuth</code> | Yes | Yes | |
      <a href="https://myanimelist.net/clubs.php?cid=13727">MyAnimeList</a> |
      Anime and Manga Database and Community | <code>OAuth</code> | Yes |
      Unknown | | <a href="https://ghibliapi.herokuapp.com">Studio Ghibli</a> |
      Resources from Studio Ghibli films | No | Yes | Unknown | |
      <a href="https://soruly.github.io/trace.moe/">What Anime</a> | Scan anime
      image to get specific detail | No | Yes | Yes |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Anti-Malware API
      | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://docs.abuseipdb.com/">AbuseIPDB</a> | IP/domain/URL
      reputation | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://otx.alienvault.com/api"
        >AlienVault Open Threat Exchange (OTX)</a
      >
      | IP/domain/URL reputation | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://developers.google.com/safe-browsing/"
        >Google Safe Browsing</a
      >
      | Google Link/Domain Flagging | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://metacert.com/">Metacert</a> | Metacert Link Flagging |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://urlscan.io/about-api/">URLScan.io</a> | Scan and Analyse
      URLs | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.virustotal.com/en/documentation/public-api/"
        >VirusTotal</a
      >
      | VirusTotal File/URL Analysis | <code>apiKey</code> | Yes | Unknown | |
      <a
        href="https://support.mywot.com/hc/en-us/articles/360024398673-3-Using-the-API"
        >Web Of Trust (WOT)</a
      >
      | Website reputation | <code>apiKey</code> | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Art &amp; Design
      API | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://www.behance.net/dev">Behance</a> | Design |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://collection.cooperhewitt.org/api">Cooper Hewitt</a> |
      Smithsonian Design Museum | <code>apiKey</code> | Yes | Unknown | |
      <a href="http://developer.dribbble.com/v2/">Dribbble</a> | Design |
      <code>OAuth</code> | No | Unknown | |
      <a href="https://github.com/harvardartmuseums/api-docs"
        >Harvard Art Museums</a
      >
      | Art | <code>apiKey</code> | No | Unknown | |
      <a href="https://developer.iconfinder.com">Iconfinder</a> | Icons |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="http://docs.icons8.apiary.io/#reference/0/meta">Icons8</a> |
      Icons | <code>OAuth</code> | Yes | Unknown | |
      <a href="http://api.thenounproject.com/index.html">Noun Project</a> |
      Icons | <code>OAuth</code> | No | Unknown | |
      <a href="https://www.rijksmuseum.nl/en/api">Rijksmuseum</a> | Art |
      <code>apiKey</code> | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Books API |
      Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://bhagavadgita.io/api">Bhagavad Gita</a> | Bhagavad Gita
      text | <code>OAuth</code> | Yes | Yes | |
      <a href="http://bnb.data.bl.uk/">British National Bibliography</a> | Books
      | No | No | Unknown | |
      <a href="https://developers.google.com/books/">Google Books</a> | Books |
      <code>OAuth</code> | Yes | Unknown | |
      <a href="https://garbage.world/posts/libgen/">LibGen</a> | Library Genesis
      search engine | No | No | Unknown | |
      <a href="https://developer.nytimes.com/docs/books-product/1/overview"
        >New York Times Books</a
      >
      | Book reviews and The New York Times Best Sellers lists |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://openlibrary.org/developers/api">Open Library</a> | Books,
      book covers and related data | No | Yes | No | |
      <a href="http://www.penguinrandomhouse.biz/webservices/rest/"
        >Penguin Publishing</a
      >
      | Books, book covers and related data | No | Yes | Unknown | |
      <a href="https://aninditabasu.github.io/indica/html/rv.html">Rig Veda</a>
      | Gods and poets, their categories, and the verse meters, with the mandal
      and sukta number | No | Yes | Unknown | |
      <a href="https://aninditabasu.github.io/indica/html/vs.html"
        >Vedic Society</a
      >
      | Descriptions of all nouns (names, places, animals, things) from vedic
      literature | No | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Business API |
      Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="http://charityapi.orghunter.com/">Charity Search</a> | Non-profit
      charity data | <code>apiKey</code> | No | Unknown | |
      <a href="https://clearbit.com/docs#logo-api">Clearbit Logo</a> | Search
      for company logos and embed them in your projects | <code>apiKey</code> |
      Yes | Unknown | | <a href="https://domainsdb.info/">Domainsdb.info</a> |
      Registered Domain Names Search | No | Yes | Unknown | |
      <a href="https://developers.freelancer.com">Freelancer</a> | Hire
      freelancers to get work done | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://developers.google.com/gmail/api/">Gmail</a> | Flexible,
      RESTful access to the user’s inbox | <code>OAuth</code> | Yes | Unknown |
      |
      <a href="https://developers.google.com/analytics/">Google Analytics</a> |
      Collect, configure and analyze your data to reach the right audience |
      <code>OAuth</code> | Yes | Unknown | |
      <a href="https://www.mailboxvalidator.com/api-single-validation"
        >MailboxValidator</a
      >
      | Validate email address to improve deliverability | <code>apiKey</code> |
      Yes | Unknown | | <a href="https://www.mailgun.com/">mailgun</a> | Email
      Service | <code>apiKey</code> | Yes | Unknown | |
      <a href="http://www.markerapi.com/">markerapi</a> | Trademark Search | No
      | No | Unknown | | <a href="https://ticksel.com">Ticksel</a> | Friendly
      website analytics made for humans | No | Yes | Unknown | |
      <a href="https://developers.trello.com/">Trello</a> | Boards, lists and
      cards to help you organize and prioritize your projects |
      <code>OAuth</code> | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Calendar API |
      Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://www.calendarindex.com/">Calendar Index</a> | Worldwide
      Holidays and Working Days | <code>apiKey</code> | Yes | Yes | |
      <a href="http://calapi.inadiutorium.cz/">Church Calendar</a> | Catholic
      liturgical calendar | No | No | Unknown | |
      <a href="https://svatky.adresa.info">Czech Namedays Calendar</a> | Lookup
      for a name and returns nameday date | No | No | Unknown | |
      <a href="https://developers.google.com/google-apps/calendar/"
        >Google Calendar</a
      >
      | Display, create and modify Google calendar events | <code>OAuth</code> |
      Yes | Unknown | |
      <a href="https://www.hebcal.com/home/developer-apis">Hebrew Calendar</a> |
      Convert between Gregorian and Hebrew, fetch Shabbat and Holiday times, etc
      | No | No | Unknown | | <a href="https://holidayapi.com/">Holidays</a> |
      Historical data regarding holidays | <code>apiKey</code> | Yes | Unknown |
      | <a href="http://www.lectserve.com">LectServe</a> | Protestant liturgical
      calendar | No | No | Unknown | |
      <a href="https://date.nager.at">Nager.Date</a> | Public holidays for more
      than 90 countries | No | Yes | No | |
      <a href="https://api.abalin.net/">Namedays Calendar</a> | Provides
      namedays for multiple countries | No | Yes | Yes | |
      <a href="https://github.com/gadael/icsdb">Non-Working Days</a> | Database
      of ICS files for non working days | No | Yes | Unknown | |
      <a href="https://github.com/egno/work-calendar">Russian Calendar</a> |
      Check if a date is a Russian holiday or not | No | Yes | No |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Cloud Storage
      &amp; File Sharing API | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://developer.box.com/">Box</a> | File Sharing and Storage |
      <code>OAuth</code> | Yes | Unknown | |
      <a href="https://www.dropbox.com/developers">Dropbox</a> | File Sharing
      and Storage | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://developers.google.com/drive/">Google Drive</a> | File
      Sharing and Storage | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://dev.onedrive.com/">OneDrive</a> | File Sharing and
      Storage | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://pastebin.com/api/">Pastebin</a> | Plain Text Storage |
      <code>apiKey</code> | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Continuous
      Integration API | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://circleci.com/docs/api/v1-reference/">CircleCI</a> |
      Automate the software development process using continuous integration and
      continuous delivery | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://apidocs.codeship.com/">Codeship</a> | Codeship is a
      Continuous Integration Platform in the cloud | <code>apiKey</code> | Yes |
      Unknown | | <a href="https://docs.travis-ci.com/api/">Travis CI</a> | Sync
      your GitHub projects with Travis CI to test your code in minutes |
      <code>apiKey</code> | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Cryptocurrency
      API | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://github.com/binance/binance-spot-api-docs">Binance</a> |
      Exchange for Trading Cryptocurrencies based in China |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://apiv2.bitcoinaverage.com/">BitcoinAverage</a> | Digital
      Asset Price Data for the blockchain industry | <code>apiKey</code> | Yes |
      Unknown | |
      <a href="https://bitcoincharts.com/about/exchanges/">BitcoinCharts</a> |
      Financial and Technical Data related to the Bitcoin Network | No | Yes |
      Unknown | | <a href="https://docs.bitfinex.com/docs">Bitfinex</a> |
      Cryptocurrency Trading Platform | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.bitmex.com/app/apiOverview">Bitmex</a> | Real-Time
      Cryptocurrency derivatives trading platform based in Hong Kong |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://bittrex.com/Home/Api">Bittrex</a> | Next Generation
      Crypto Trading Platform | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.block.io/docs/basic">Block</a> | Bitcoin Payment,
      Wallet &amp; Transaction Data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.blockchain.info/api">Blockchain</a> | Bitcoin
      Payment, Wallet &amp; Transaction Data | No | Yes | Unknown | |
      <a href="https://docs.coinapi.io/">CoinAPI</a> | All Currency Exchanges
      integrate under a single api | <code>apiKey</code> | Yes | No | |
      <a href="https://developers.coinbase.com">Coinbase</a> | Bitcoin, Bitcoin
      Cash, Litecoin and Ethereum Prices | <code>apiKey</code> | Yes | Unknown |
      | <a href="https://docs.pro.coinbase.com/#api">Coinbase Pro</a> |
      Cryptocurrency Trading Platform | <code>apiKey</code> | Yes | Unknown | |
      <a href="http://www.coindesk.com/api/">CoinDesk</a> | Bitcoin Price Index
      | No | No | Unknown | |
      <a href="http://www.coingecko.com/api">CoinGecko</a> | Cryptocurrency
      Price, Market, and Developer/Social Data | No | Yes | Yes | |
      <a href="https://coinigy.docs.apiary.io">Coinigy</a> | Interacting with
      Coinigy Accounts and Exchange Directly | <code>apiKey</code> | Yes |
      Unknown | | <a href="https://coinlayer.com">CoinLayer</a> | Real-time
      Crypto Currency Exchange Rates | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://coinlib.io/apidocs">Coinlib</a> | Crypto Currency Prices
      | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.coinlore.com/cryptocurrency-data-api">Coinlore</a> |
      Cryptocurrencies prices, volume and more | No | Yes | Unknown | |
      <a href="https://coinmarketcap.com/api/">CoinMarketCap</a> |
      Cryptocurrencies Prices | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://api.coinpaprika.com">Coinpaprika</a> | Cryptocurrencies
      prices, volume and more | No | Yes | Yes | |
      <a href="https://developers.coinranking.com/api/documentation/"
        >CoinRanking</a
      >
      | Live Cryptocurrency data | No | Yes | Unknown | |
      <a href="https://www.cryptocompare.com/api#">CryptoCompare</a> |
      Cryptocurrencies Comparison | No | Yes | Unknown | |
      <a href="https://www.cryptonator.com/api/">Cryptonator</a> |
      Cryptocurrencies Exchange Rates | No | Yes | Unknown | |
      <a href="https://docs.gemini.com/rest-api/">Gemini</a> | Cryptocurrencies
      Exchange | No | Yes | Unknown | |
      <a href="https://icobench.com/developers">ICObench</a> | Various
      information on listing, ratings, stats, and more | <code>apiKey</code> |
      Yes | Unknown | |
      <a href="https://www.mercadobitcoin.net/api-doc/">MercadoBitcoin</a> |
      Brazilian Cryptocurrency Information | No | Yes | Unknown | |
      <a href="https://nexchange2.docs.apiary.io/">Nexchange</a> | Automated
      cryptocurrency exchange service | No | No | Yes | |
      <a href="https://poloniex.com/support/api/">Poloniex</a> | US based
      digital asset exchange | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.worldcoinindex.com/apiservice">WorldCoinIndex</a> |
      Cryptocurrencies Prices | <code>apiKey</code> | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Currency
      Exchange API | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://1forge.com/forex-data-api/api-documentation">1Forge</a> |
      Forex currency market data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://currencylayer.com/documentation">Currencylayer</a> |
      Exchange rates and currency conversion | <code>apiKey</code> | Yes |
      Unknown | |
      <a
        href="https://www.cnb.cz/cs/financni_trhy/devizovy_trh/kurzy_devizoveho_trhu/denni_kurz.xml"
        >Czech National Bank</a
      >
      | A collection of exchange rates | No | Yes | Unknown | |
      <a href="https://www.exchangerate-api.com">ExchangeRate-API</a> | Free
      currency conversion | No | Yes | Yes | |
      <a href="https://exchangeratesapi.io">Exchangeratesapi.io</a> | Exchange
      rates with currency conversion | No | Yes | Yes | |
      <a href="http://fixer.io">Fixer.io</a> | Exchange rates and currency
      conversion | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.frankfurter.app/docs">Frankfurter</a> | Exchange
      rates, currency conversion and time series | No | Yes | Yes | |
      <a href="https://ratesapi.io">ratesapi</a> | Free exchange rates and
      historical rates | No | Yes | Unknown | |
      <a href="https://www.vatcomply.com/documentation">VATComply.com</a> |
      Exchange rates, geolocation and VAT number validation | No | Yes | Yes |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Data Validation
      API | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://cloudmersive.com/validate-api">Cloudmersive Validate</a>
      | Validate email addresses, phone numbers, VAT numbers and domain names |
      <code>apiKey</code> | Yes | Yes | |
      <a href="https://languagelayer.com">languagelayer</a> | Language detection
      | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://lob.com/">Lob.com</a> | US Address Verification |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://mailboxlayer.com">mailboxlayer</a> | Email address
      validation | No | Yes | Unknown | |
      <a href="https://numvalidate.com">NumValidate</a> | Open Source phone
      number validation | No | Yes | Unknown | |
      <a href="https://numverify.com">numverify</a> | Phone number validation |
      No | Yes | Unknown | |
      <a href="http://www.purgomalum.com">PurgoMalum</a> | Content validator
      against profanity &amp; obscenity | No | No | Unknown | |
      <a href="https://smartystreets.com/docs/cloud/us-autocomplete-api"
        >US Autocomplete</a
      >
      | Enter address data quickly with real-time address suggestions |
      <code>apiKey</code> | Yes | Yes | |
      <a href="https://smartystreets.com/products/apis/us-extract-api"
        >US Extract</a
      >
      | Extract postal addresses from any text including emails |
      <code>apiKey</code> | Yes | Yes | |
      <a href="https://smartystreets.com/docs/cloud/us-street-api"
        >US Street Address</a
      >
      | Validate and append data for any US postal address |
      <code>apiKey</code> | Yes | Yes | |
      <a href="https://vatlayer.com">vatlayer</a> | VAT number validation | No |
      Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Development API
      | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://24pullrequests.com/api">24 Pull Requests</a> | Project to
      promote open source collaboration during December | No | Yes | Yes | |
      <a href="https://agify.io">Agify.io</a> | Estimates the age from a first
      name | No | Yes | Yes | | <a href="https://apiflash.com/">ApiFlash</a> |
      Chrome based screenshot API for developers | <code>apiKey</code> | Yes |
      Unknown | | <a href="https://apility.io/apidocs/">Apility.io</a> | IP,
      Domains and Emails anti-abuse API blocklist | No | Yes | Yes | |
      <a href="https://apis.guru/api-doc/">APIs.guru</a> | Wikipedia for Web
      APIs, OpenAPI/Swagger specs for public APIs | No | Yes | Unknown | |
      <a href="http://bettermeta.io">BetterMeta</a> | Return a site’s meta tags
      in JSON format | <code>X-Mashape-Key</code> | Yes | Unknown | |
      <a href="https://developer.atlassian.com/bitbucket/api/2/reference/"
        >Bitbucket</a
      >
      | Bitbucket API | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://www.boredapi.com/">Bored</a> | Find random activities to
      fight boredom | No | Yes | Unknown | |
      <a href="https://browshot.com/api/documentation">Browshot</a> | Easily
      make screenshots of web pages in any screen size, as any device |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://api.cdnjs.com/libraries/jquery">CDNJS</a> | Library info
      on CDNJS | No | Yes | Unknown | |
      <a href="https://changelogs.md">Changelogs.md</a> | Structured changelog
      metadata from open source projects | No | Yes | Unknown | |
      <a href="https://countapi.xyz">CountAPI</a> | Free and simple counting
      service. You can use it to track page hits and specific events | No | Yes
      | Yes | |
      <a href="https://status.digitalocean.com/api">DigitalOcean Status</a> |
      Status of all DigitalOcean services | No | Yes | Unknown | |
      <a href="https://api.domainsdb.info/">DomainDb Info</a> | Domain name
      search to find all domains containing particular words/phrases/etc | No |
      Yes | Unknown | | <a href="https://genderize.io">Genderize.io</a> |
      Estimates a gender from a first name | No | Yes | Yes | |
      <a href="https://docs.github.com/en/free-pro-team@latest/rest">GitHub</a>
      | Make use of GitHub repositories, code and user info programmatically |
      <code>OAuth</code> | Yes | Yes | |
      <a href="https://docs.gitlab.com/ee/api/">Gitlab</a> | Automate GitLab
      interaction programmatically | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://developer.gitter.im/docs/welcome">Gitter</a> | Chat for
      Developers | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://http2.pro/doc/api">HTTP2.Pro</a> | Test endpoints for
      client and server HTTP/2 protocol support | No | Yes | Unknown | |
      <a href="https://cloud.ibm.com/docs/text-to-speech/getting-started.html"
        >IBM Text to Speech</a
      >
      | Convert text to speech | <code>apiKey</code> | Yes | Yes | |
      <a
        href="https://cloud.ibm.com/apidocs/visual-recognition/visual-recognition-v3"
        >IBM Visual Recognition</a
      >
      | Visual Recognition with pretrained or user trained model |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://platform.ifttt.com/docs/connect_api">IFTTT</a> | IFTTT
      Connect API | No | Yes | Unknown | |
      <a href="https://documentation.image-charts.com/">Image-Charts</a> |
      Generate charts, QR codes and graph images | No | Yes | Yes | |
      <a href="http://api.docs.import.io/">import.io</a> | Retrieve structured
      data from a website or RSS feed | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.ipify.org/">IPify</a> | A simple IP Address API | No
      | Yes | Unknown | | <a href="https://ipinfo.io/developers">IPinfo</a> |
      Another simple IP Address API | No | Yes | Unknown | |
      <a href="https://json2jsonp.com/">JSON 2 JSONP</a> | Convert JSON to JSONP
      (on-the-fly) for easy cross-domain data requests using client-side
      JavaScript | No | Yes | Unknown | |
      <a href="https://jsonbin.io">JSONbin.io</a> | Free JSON storage service.
      Ideal for small scale Web apps, Websites and Mobile apps |
      <code>apiKey</code> | Yes | Yes | |
      <a href="https://api.judge0.com/">Judge0</a> | Compile and run source code
      | No | Yes | Unknown | |
      <a href="https://github.com/cmccandless/license-api/blob/master/README.md"
        >License-API</a
      >
      | Unofficial REST API for choosealicense.com | No | Yes | No | |
      <a href="https://macaddress.io/api">MAC address vendor lookup</a> |
      Retrieve vendor details and other information regarding a given MAC
      address or an OUI | <code>apiKey</code> | Yes | Yes | |
      <a href="https://nationalize.io">Nationalize.io</a> | Estimate the
      nationality of a first name | No | Yes | Yes | |
      <a href="https://oopspam.com/">OOPSpam</a> | Multiple spam filtering
      service | No | Yes | Yes | |
      <a href="https://plino.herokuapp.com/">Plino</a> | Spam filtering system |
      No | Yes | Unknown | |
      <a href="https://docs.api.getpostman.com/">Postman</a> | Tool for testing
      APIs | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://proxycrawl.com">ProxyCrawl</a> | Scraping and crawling
      anticaptcha service | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://github.com/davemachado/public-api">Public APIs</a> | A
      collective list of free JSON APIs for use in web development | No | Yes |
      Unknown | | <a href="https://pusher.com/beams">Pusher Beams</a> | Push
      notifications for Android &amp; iOS | <code>apiKey</code> | Yes | Unknown
      | | <a href="http://qrtag.net/api/">QR code</a> | Create an easy to read
      QR code and URL shortener | No | Yes | Yes | |
      <a href="http://goqr.me/api/">QR code</a> | Generate and decode / read QR
      code graphics | No | Yes | Unknown | |
      <a href="https://quickchart.io/">QuickChart</a> | Generate chart and graph
      images | No | Yes | Yes | | <a href="https://reqres.in/">ReqRes</a> | A
      hosted REST-API ready to respond to your AJAX requests | No | Yes |
      Unknown | | <a href="https://docs.scraper.ai/#/">Scraper.AI</a> | Extract
      and monitor data from any website | <code>apiKey</code> | Yes | Unknown |
      | <a href="https://www.scraperapi.com">ScraperApi</a> | Easily build
      scalable web scrapers | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://screenshotapi.net/">ScreenshotAPI.net</a> | Create
      pixel-perfect website screenshots | <code>apiKey</code> | Yes | Yes | |
      <a href="http://shoutcloud.io/">SHOUTCLOUD</a> | ALL-CAPS AS A SERVICE |
      No | No | Unknown | |
      <a href="https://api.stackexchange.com/">StackExchange</a> | Q&amp;A forum
      for developers | <code>OAuth</code> | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Dictionaries API
      | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://www.linguarobot.io">Lingua Robot</a> | Word definitions,
      pronunciations, synonyms, antonyms and others | <code>apiKey</code> | Yes
      | Yes | | <a href="https://dictionaryapi.com/">Merriam-Webster</a> |
      Dictionary and Thesaurus Data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://owlbot.info/">OwlBot</a> | Definitions with example
      sentence and photo if available | <code>apiKey</code> | Yes | Yes | |
      <a href="https://developer.oxforddictionaries.com/">Oxford</a> |
      Dictionary Data | <code>apiKey</code> | Yes | No | |
      <a href="http://developer.wordnik.com">Wordnik</a> | Dictionary Data |
      <code>apiKey</code> | No | Unknown | |
      <a href="https://www.wordsapi.com/">Words</a> | Definitions and synonyms
      for more than 150,000 words | <code>apiKey</code> | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Documents &amp;
      Productivity API | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://cloudmersive.com/convert-api"
        >Cloudmersive Document and Data Conversion</a
      >
      | HTML/URL to PDF/PNG, Office documents to PDF, image conversion |
      <code>apiKey</code> | Yes | Yes | |
      <a href="https://www.file.io">File.io</a> | File Sharing | No | Yes |
      Unknown | |
      <a href="https://mercury.postlight.com/web-parser/">Mercury</a> | Web
      parser | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://pdflayer.com">pdflayer</a> | HTML/URL to PDF |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://getpocket.com/developer/">Pocket</a> | Bookmarking
      service | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://prexview.com">PrexView</a> | Data from XML or JSON to
      PDF, HTML or Image | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://restpack.io/">Restpack</a> | Provides screenshot, HTML to
      PDF and content extraction APIs | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://developer.todoist.com">Todoist</a> | Todo Lists |
      <code>OAuth</code> | Yes | Unknown | |
      <a href="http://vector.express">Vector Express</a> | Free vector file
      converting API | No | No | Yes | |
      <a href="https://wakatime.com/developers">WakaTime</a> | Automated time
      tracking leaderboards for programmers | No | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Environment API
      | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://airvisual.com/api">AirVisual</a> | Air quality and
      weather data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.corrently.de/hintergrund/gruenstromindex/index.html"
        >GrünstromIndex</a
      >
      | Green Power Index for Germany (Grünstromindex/GSI) | No | No | Yes | |
      <a href="https://docs.openaq.org/">OpenAQ</a> | Open air quality data |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="http://www.pm25.in/api_doc">PM25.in</a> | Air quality of China |
      <code>apiKey</code> | No | Unknown | |
      <a href="https://developer.nrel.gov/docs/solar/pvwatts/v6/">PVWatts</a> |
      Energy production photovoltaic (PV) energy systems | <code>apiKey</code> |
      Yes | Unknown | |
      <a
        href="https://carbon-intensity.github.io/api-definitions/#carbon-intensity-api-v1-0-0"
        >UK Carbon Intensity</a
      >
      | The Official Carbon Intensity API for Great Britain developed by
      National Grid | No | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Events API |
      Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://www.eventbrite.com/developer/v3/">Eventbrite</a> | Find
      events | <code>OAuth</code> | Yes | Unknown | |
      <a
        href="http://developer.picatic.com/?utm_medium=web&amp;utm_source=github&amp;utm_campaign=public-apis%20repo&amp;utm_content=toddmotto"
        >Picatic</a
      >
      | Sell tickets anywhere | <code>apiKey</code> | Yes | Unknown | |
      <a
        href="http://developer.ticketmaster.com/products-and-docs/apis/getting-started/"
        >Ticketmaster</a
      >
      | Search events, attractions, or venues | <code>apiKey</code> | Yes |
      Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Finance API |
      Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://www.alphavantage.co/">Alpha Vantage</a> | Realtime and
      historical stock data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://iexcloud.io/docs/api/">IEX Cloud</a> | Realtime &amp;
      Historical Stock and Market Data | <code>apiKey</code> | Yes | Yes | |
      <a href="https://labs.ig.com/gettingstarted">IG</a> | Spreadbetting and
      CFD Market Data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://plaid.com/">Plaid</a> | Connect with users’ bank accounts
      and access transaction data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://ifsc.razorpay.com/">Razorpay IFSC</a> | Indian Financial
      Systems Code (Bank Branch Codes) | No | Yes | Unknown | |
      <a href="https://developer.tradier.com">Tradier</a> | US equity/option
      market data (delayed, intraday, historical) | <code>OAuth</code> | Yes |
      Yes | | <a href="https://api.youneedabudget.com/">YNAB</a> | Budgeting
      &amp; Planning | <code>OAuth</code> | Yes | Yes |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Food &amp; Drink
      API | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://developer.edamam.com/edamam-docs-nutrition-api"
        >Edamam nutrition</a
      >
      | Nutrition Analysis | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://developer.edamam.com/edamam-docs-recipe-api"
        >Edamam recipes</a
      >
      | Recipe Search | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://github.com/surhud004/Foodish#readme">Foodish</a> | Random
      pictures of food dishes | No | Yes | Yes | |
      <a href="https://lcboapi.com/">LCBO</a> | Alcohol | <code>apiKey</code> |
      Yes | Unknown | |
      <a href="https://www.openbrewerydb.org">Open Brewery DB</a> | Breweries,
      Cideries and Craft Beer Bottle Shops | No | Yes | Yes | |
      <a href="https://world.openfoodfacts.org/data">Open Food Facts</a> | Food
      Products Database | No | Yes | Unknown | |
      <a href="https://punkapi.com/">PunkAPI</a> | Brewdog Beer Recipes | No |
      Yes | Unknown | |
      <a href="http://www.recipepuppy.com/about/api/">Recipe Puppy</a> | Food |
      No | No | Unknown | |
      <a href="https://github.com/evz/tacofancy-api">TacoFancy</a> |
      Community-driven taco database | No | No | Unknown | |
      <a href="https://github.com/andyklimczak/TheReportOfTheWeek-API"
        >The Report of the Week</a
      >
      | Food &amp; Drink Reviews | No | Yes | Unknown | |
      <a href="https://www.thecocktaildb.com/api.php">TheCocktailDB</a> |
      Cocktail Recipes | <code>apiKey</code> | Yes | Yes | |
      <a href="https://www.themealdb.com/api.php">TheMealDB</a> | Meal Recipes |
      <code>apiKey</code> | Yes | Yes | |
      <a href="http://nypl.github.io/menus-api/">What’s on the menu?</a> | NYPL
      human-transcribed historical menu collection | <code>apiKey</code> | No |
      Unknown | | <a href="https://developers.zomato.com/api">Zomato</a> |
      Discover restaurants | <code>apiKey</code> | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Games &amp;
      Comics API | Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://age-of-empires-2-api.herokuapp.com">Age of Empires II</a>
      | Get information about Age of Empires II resources | No | Yes | Unknown |
      | <a href="https://amiiboapi.com/">AmiiboAPI</a> | Nintendo Amiibo
      Information | No | Yes | Yes | |
      <a href="https://www.cheapshark.com/api">CheapShark</a> | Steam/PC Game
      Prices and Deals | No | Yes | Yes | |
      <a href="http://www.icndb.com/api/">Chuck Norris Database</a> | Jokes | No
      | No | Unknown | |
      <a href="https://developer.clashofclans.com">Clash of Clans</a> | Clash of
      Clans Game Information | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://developer.clashroyale.com">Clash Royale</a> | Clash
      Royale Game Information | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://comicvine.gamespot.com/api/documentation">Comic Vine</a>
      | Comics | No | Yes | Unknown | |
      <a href="http://deckofcardsapi.com/">Deck of Cards</a> | Deck of Cards |
      No | No | Unknown | |
      <a href="https://github.com/Bungie-net/api">Destiny The Game</a> | Bungie
      Platform API | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://docs.opendota.com/">Dota 2</a> | Provides information
      about Player stats , Match stats, Rankings for Dota 2 | No | Yes | Unknown
      | | <a href="http://www.dnd5eapi.co/">Dungeons and Dragons</a> | Reference
      for 5th edition spells, classes, monsters, and more | No | No | No | |
      <a href="https://esi.evetech.net/ui">Eve Online</a> | Third-Party
      Developer Documentation | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://xivapi.com/">Final Fantasy XIV</a> | Final Fantasy XIV
      Game data API | No | Yes | Yes | |
      <a href="https://fortnitetracker.com/site-api">Fortnite</a> | Fortnite
      Stats | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.giantbomb.com/api/documentation">Giant Bomb</a> |
      Video Games | No | Yes | Unknown | |
      <a href="https://wiki.guildwars2.com/wiki/API:Main">Guild Wars 2</a> |
      Guild Wars 2 Game Information | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://developer.haloapi.com/">Halo</a> | Halo 5 and Halo Wars 2
      Information | <code>apiKey</code> | Yes | Unknown | |
      <a href="http://hearthstoneapi.com/">Hearthstone</a> | Hearthstone Cards
      Information | <code>X-Mashape-Key</code> | Yes | Unknown | |
      <a href="https://api.hypixel.net/">Hypixel</a> | Hypixel player stats |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://hytale-api.com/">Hytale</a> | Hytale blog posts and jobs
      | No | Yes | Unknown | | <a href="https://api.igdb.com/">IGDB.com</a> |
      Video Game Database | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://sv443.net/jokeapi/v2/">JokeAPI</a> | Programming,
      Miscellaneous and Dark Jokes | No | Yes | Yes | |
      <a href="https://github.com/15Dkatz/official_joke_api">Jokes</a> |
      Programming and general jokes | No | Yes | Unknown | |
      <a href="http://jservice.io">Jservice</a> | Jeopardy Question Database |
      No | No | Unknown | |
      <a href="http://magicthegathering.io/">Magic The Gathering</a> | Magic The
      Gathering Game Information | No | No | Unknown | |
      <a href="http://developer.marvel.com">Marvel</a> | Marvel Comics |
      <code>apiKey</code> | No | Unknown | |
      <a href="https://docs.mod.io">mod.io</a> | Cross Platform Mod API |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://opentdb.com/api_config.php">Open Trivia</a> | Trivia
      Questions | No | Yes | Unknown | |
      <a href="https://pandascore.co">PandaScore</a> | E-sports games and
      results | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://pubgtracker.com/site-api"
        >PlayerUnknown’s Battlegrounds</a
      >
      | PUBG Stats | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://pokeapi.co">Pokéapi</a> | Pokémon Information | No | Yes
      | Unknown | | <a href="https://pokemontcg.io">Pokémon TCG</a> | Pokémon
      TCG Information | No | Yes | Unknown | |
      <a href="https://rickandmortyapi.com">Rick and Morty</a> | All the Rick
      and Morty information, including images | No | Yes | Yes | |
      <a href="https://developer.riotgames.com/">Riot Games</a> | League of
      Legends Game Information | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://scryfall.com/docs/api">Scryfall</a> | Magic: The
      Gathering database | No | Yes | Yes | |
      <a href="https://developer.valvesoftware.com/wiki/Steam_Web_API">Steam</a>
      | Steam Client Interaction | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://superheroapi.com">SuperHeroes</a> | All SuperHeroes and
      Villains data from all universes under a single API |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.tronalddump.io/">Tronald Dump</a> | The dumbest
      things Donald Trump has ever said | No | Yes | Unknown | |
      <a href="https://developers.wargaming.net/">Wargaming.net</a> |
      Wargaming.net info and stats | <code>apiKey</code> | Yes | No | |
      <a href="https://xkcd.com/json.html">xkcd</a> | Retrieve xkcd comics as
      JSON | No | Yes | No |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Geocoding API |
      Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://adresse.data.gouv.fr">adresse.data.gouv.fr</a> | Address
      database of France, geocoding and reverse | No | Yes | Unknown | |
      <a href="http://battuta.medunes.net">Battuta</a> | A (country/region/city)
      in-cascade location API | <code>apiKey</code> | No | Unknown | |
      <a href="https://www.microsoft.com/maps/">Bing Maps</a> | Create/customize
      digital maps based on Bing Maps data | <code>apiKey</code> | Yes | Unknown
      | | <a href="https://www.getthedata.com/bng2latlong">bng2latlong</a> |
      Convert British OSGB36 easting and northing (British National Grid) to
      WGS84 latitude and longitude | No | Yes | Yes | |
      <a href="http://www.citysdk.eu/citysdk-toolkit/">CitySDK</a> | Open APIs
      for select European cities | No | Yes | Unknown | |
      <a href="http://apis.map.daum.net/">Daum Maps</a> | Daum Maps provide
      multiple APIs for Korean maps | <code>apiKey</code> | No | Unknown | |
      <a href="https://freegeoip.app/">FreeGeoIP</a> | Free geo ip information,
      no registration required. 15k/hour rate limit | No | Yes | Yes | |
      <a href="https://api.gouv.fr/api/geoapi.html">GeoApi</a> | French
      geographical data | No | Yes | Unknown | |
      <a href="https://www.geocod.io/">Geocod.io</a> | Address geocoding /
      reverse geocoding in bulk | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://geocode.xyz/api">Geocode.xyz</a> | Provides worldwide
      forward/reverse geocoding, batch geocoding and geoparsing | No | Yes |
      Unknown | |
      <a href="https://www.geodatasource.com/web-service">GeoDataSource</a> |
      Geocoding of city name by using latitude and longitude coordinates |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://geojs.io/">GeoJS</a> | IP geolocation with ChatOps
      integration | No | Yes | Yes | |
      <a href="http://www.geonames.org/export/web-services.html">GeoNames</a> |
      Place names and other geographical data | No | No | Unknown | |
      <a href="https://www.geoplugin.com">geoPlugin</a> | IP geolocation and
      currency conversion | No | Yes | Yes | |
      <a href="https://developers.google.com/earth-engine/"
        >Google Earth Engine</a
      >
      | A cloud-based platform for planetary-scale environmental data analysis |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://developers.google.com/maps/">Google Maps</a> |
      Create/customize digital maps based on Google Maps data |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.fourtonfish.com/hellosalut/hello/">HelloSalut</a> |
      Get hello translation following user language | No | Yes | Unknown | |
      <a href="https://developer.here.com">HERE Maps</a> | Create/customize
      digital maps based on HERE Maps data | <code>apiKey</code> | Yes | Unknown
      | | <a href="https://ip2country.info">IP 2 Country</a> | Map an IP to a
      country | No | Yes | Unknown | |
      <a href="https://ipinfo.io/">IP Address Details</a> | Find geolocation
      with ip address | No | Yes | Unknown | |
      <a href="https://ipapi.co/api/#introduction">IP Location</a> | Find IP
      address location information | No | Yes | Unknown | |
      <a href="https://ip-api.com/docs">IP Location</a> | Find location with ip
      address | No | No | Unknown | |
      <a href="https://ipsidekick.com">IP Sidekick</a> | Geolocation API that
      returns extra information about an IP address | <code>apiKey</code> | Yes
      | Unknown | | <a href="https://www.ipvigilante.com/">IP Vigilante</a> |
      Free IP Geolocation API | No | Yes | Unknown | |
      <a href="https://www.ip2location.com/web-service/ip2location"
        >IP2Location</a
      >
      | IP geolocation web service to get more than 55 parameters |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.ip2location.com/web-service/ip2proxy">IP2Proxy</a> |
      Detect proxy and VPN using IP address | <code>apiKey</code> | Yes |
      Unknown | |
      <a href="https://ipgeolocationapi.com/">IPGeolocationAPI.com</a> | Locate
      your visitors by IP with country details | No | Yes | Yes | |
      <a href="https://ipinfodb.com/api">IPInfoDB</a> | Free Geolocation tools
      and APIs for country, region, city and time zone lookup by IP address |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://ipstack.com/">ipstack</a> | Locate and identify website
      visitors by IP address | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://locationiq.org/docs/">LocationIQ</a> | Provides
      forward/reverse geocoding and batch geocoding | <code>apiKey</code> | Yes
      | Yes | | <a href="https://www.mapbox.com/developers/">Mapbox</a> |
      Create/customize beautiful digital maps | <code>apiKey</code> | Yes |
      Unknown | | <a href="https://github.com/IcaliaLabs/sepomex">Mexico</a> |
      Mexico RESTful zip codes API | No | Yes | Unknown | |
      <a href="https://docs.onemap.sg/">One Map, Singapore</a> | Singapore Land
      Authority REST API services for Singapore addresses |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://onwater.io/">OnWater</a> | Determine if a lat/lon is on
      water or land | No | Yes | Unknown | |
      <a href="https://opencagedata.com">OpenCage</a> | Forward and reverse
      geocoding using open data | <code>apiKey</code> | Yes | Yes | |
      <a href="http://wiki.openstreetmap.org/wiki/API">OpenStreetMap</a> |
      Navigation, geolocation and geographical data | <code>OAuth</code> | No |
      Unknown | |
      <a
        href="http://api.postcodedata.nl/v1/postcode/?postcode=1211EP&amp;streetnumber=60&amp;ref=domeinnaam.nl&amp;type=json"
        >PostcodeData.nl</a
      >
      | Provide geolocation data based on postcode for Dutch addresses | No | No
      | Unknown | | <a href="https://postcodes.io">Postcodes.io</a> | Postcode
      lookup &amp; Geolocation for the UK | No | Yes | Yes | |
      <a href="https://restcountries.eu">REST Countries</a> | Get information
      about countries via a RESTful API | No | Yes | Unknown | |
      <a href="https://uebermaps.com/api/v2">Uebermaps</a> | Discover and share
      maps with friends | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://smartystreets.com/docs/cloud/us-zipcode-api"
        >US ZipCode</a
      >
      | Validate and append data for any US ZipCode | <code>apiKey</code> | Yes
      | Yes | | <a href="https://api.mapserv.utah.gov">Utah AGRC</a> | Utah Web
      API for geocoding Utah addresses | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://viacep.com.br">ViaCep</a> | Brazil RESTful zip codes API
      | No | Yes | Unknown | |
      <a href="https://www.zipcodeapi.com">ZipCodeAPI</a> | US zip code
      distance, radius and location API | <code>apiKey</code> | Yes | Unknown |
      | <a href="http://www.zippopotam.us">Zippopotam</a> | Get information
      about place such as country, city, state, etc | No | No | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Government API |
      Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="http://www.bclaws.ca/civix/template/complete/api/index.html"
        >BCLaws</a
      >
      | Access to the laws of British Columbia | No | No | Unknown | |
      <a href="https://business.usa.gov/developer">BusinessUSA</a> |
      Authoritative information on U.S. programs, events, services and more |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.census.gov/data/developers/data-sets.html"
        >Census.gov</a
      >
      | The US Census Bureau provides various APIs and data sets on demographics
      and businesses | No | Yes | Unknown | |
      <a href="https://data.beta.grandlyon.com/fr/accueil"
        >City, Lyon Opendata</a
      >
      | Lyon(FR) City Open Data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://data.nantesmetropole.fr/pages/home/"
        >City, Nantes Opendata</a
      >
      | Nantes(FR) City Open Data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://opendata.cityofnewyork.us/">City, New York Opendata</a> |
      New York (US) City Open Data | No | Yes | Unknown | |
      <a href="http://opendata.praha.eu/en">City, Prague Opendata</a> |
      Prague(CZ) City Open Data | No | No | Unknown | |
      <a href="https://code.gov">Code.gov</a> | The primary platform for Open
      Source and code sharing for the U.S. Federal Government |
      <code>apiKey</code> | Yes | Unknown | |
      <a href="https://data.colorado.gov/">Colorado Information Marketplace</a>
      | Colorado State Government Open Data | No | Yes | Unknown | |
      <a href="https://datausa.io/about/api/">Data USA</a> | US Public Data | No
      | Yes | Unknown | | <a href="https://api.data.gov/">Data.gov</a> | US
      Government Data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://explore.data.parliament.uk/?learnmore=Members"
        >Data.parliament.uk</a
      >
      | Contains live datasets including information about petitions, bills, MP
      votes, attendance and more | No | No | Unknown | |
      <a href="http://opendata.dc.gov/pages/using-apis"
        >District of Columbia Open Data</a
      >
      | Contains D.C. government public datasets, including crime, GIS,
      financial data, and so on | No | Yes | Unknown | |
      <a href="https://developer.epa.gov/category/apis/">EPA</a> | Web services
      and data sets from the US Environmental Protection Agency | No | Yes |
      Unknown | | <a href="https://www.fbi.gov/wanted/api">FBI Wanted</a> |
      Access information on the FBI Wanted program | No | Yes | Unknown | |
      <a href="https://api.open.fec.gov/developers/">FEC</a> | Information on
      campaign donations in federal elections | <code>apiKey</code> | Yes |
      Unknown | |
      <a href="https://www.federalregister.gov/reader-aids/developer-resources"
        >Federal Register</a
      >
      | The Daily Journal of the United States Government | No | Yes | Unknown |
      |
      <a href="http://ratings.food.gov.uk/open-data/en-GB"
        >Food Standards Agency</a
      >
      | UK food hygiene rating data API | No | No | Unknown | |
      <a href="https://www.data.gov.au/">Open Government, Australia</a> |
      Australian Government Open Data | No | Yes | Unknown | |
      <a href="https://data.gov.be/">Open Government, Belgium</a> | Belgium
      Government Open Data | No | Yes | Unknown | |
      <a href="http://open.canada.ca/en">Open Government, Canada</a> | Canadian
      Government Open Data | No | No | Unknown | |
      <a href="https://www.data.gouv.fr/">Open Government, France</a> | French
      Government Open Data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://data.gov.in/">Open Government, India</a> | Indian
      Government Open Data | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://www.dati.gov.it/">Open Government, Italy</a> | Italy
      Government Open Data | No | Yes | Unknown | |
      <a href="https://www.data.govt.nz/">Open Government, New Zealand</a> | New
      Zealand Government Open Data | No | Yes | Unknown | |
      <a href="http://data.gov.ro/">Open Government, Romania</a> | Romania
      Government Open Data | No | No | Unknown | |
      <a href="https://data.gov.tw/">Open Government, Taiwan</a> | Taiwan
      Government Open Data | No | Yes | Unknown | |
      <a href="https://www.data.gov/">Open Government, USA</a> | United States
      Government Open Data | No | Yes | Unknown | |
      <a href="https://regulationsgov.github.io/developers/">Regulations.gov</a>
      | Federal regulatory materials to increase understanding of the Federal
      rule making process | <code>apiKey</code> | Yes | Unknown | |
      <a href="https://represent.opennorth.ca/">Represent by Open North</a> |
      Find Canadian Government Representatives | No | Yes | Unknown | |
      <a href="https://api.usaspending.gov/">USAspending.gov</a> | US federal
      spending data | No | Yes | Unknown |
    </p>
    <p>
      <strong><a href="#index">⬆ Back to Index</a></strong> ### Health API |
      Description | Auth | HTTPS | CORS | |—|—|—|—|—| |
      <a href="https://developer.betterdoctor.com/">BetterDoctor</a> | Detailed
      information about doctors in your area | <code>apiKey</code> | Yes |
      Unknown | | <a href="https://covid19api.com/">Covid-19</a> | Covid 19
      spread, infection and recovery | No | Yes | Yes | |
      <a href="https://github.com/M-Media-Group/Covid-19-API">Covid-19</a> |
      Covid 19 cases, deaths and recovery per country | No | Yes | Yes | |
      <a href="https://covidtracker.bsg.ox.ac.uk"
        >Covid-19 Government Response</a
      >
      | Government measures tracker to fight against the Covid-19 pandemic | No
      | Yes | Yes | | <a href="http://predictbgl.com/api/">Diabetes</a> |
      Logging and retrieving diabetes information | No | No | Unknown | |
      <a href="https://www.healthcare.gov/developers/">Healthcare.gov</a> |
      Educational content about the US Health Insurance Marketplace | No | Yes |
      Unknown | | <a href="https://docs.lexigram.io/v1/welcome">Lexigram</a> |
      NLP that extracts mentions of clinical concepts from text, gives access to
      clinical ontology | <code>apiKey</code> | Yes | Unknown | |
      <a href="http://makeup-api.herokuapp.com/">Makeup</a> | Makeup Information
      | No | No | Unknown | |
      <a href="https://data.medicare.gov/developers">Medicare</a> | Access to
      the data from the CMS - medicare.gov | No | Yes | Unknown | |
      <a href="https://npiregistry.cms.hhs.gov/registry/help-api">NPPES</a> |
      National Plan &amp; Provider Enumeration System, info on healthcare
      providers registered in US | No | Yes | Unknown | |
      <a href="https://developer.nutritionix.com/">Nutritionix</a> | Worlds
      largest verified nutrition database | <code>apiKey</code> | Yes | Unknown
      | | <a href="https://open.fda.gov">openFDA</a> | Public FDA data about
      drugs, devices and foods | No | Yes | Unknown | |
      <a href="https://developer.orionhealth.io/">Orion Health</a> | Medical
      platform which allows the development of applications for different
      healthcare scenarios | <code>OAuth</code> | Yes | Unknown | |
      <a href="https://fdc.nal.usda.gov/">USDA Nutrients</a> | National Nutrient
      Database for Standard Reference | <code>apiKey</code> | Yes | Unknown |
    </p>
  </body>
</html>
